---

- name: UFW - Allow UDP
  ufw:
   rule: allow
   port: 10000:20000
   proto: udp

- name: UWF - Allow 4443
  ufw:
    rule: allow
    port: '4443'

- name: Add an Apt signing key, uses whichever key is at the URL
  apt_key:
    url: https://download.jitsi.org/jitsi-key.gpg.key
    state: present

# Add specified repository into sources list using specified filename.
- apt_repository:
    repo: deb https://download.jitsi.org stable/
    state: present
    filename: jitsi-stable

- name: Update apt
  apt: update_cache=yes

- name: Update all packages to the latest version
  apt:
    upgrade: dist

- name: Install package
  apt:
    pkg:
      - nginx
      - python-pexpect
    state: present

- name: Set server url
  debconf:
    name: jitsi-videobridge
    question: jitsi-videobridge/jvb-hostname
    value: "{{ ansible_host }}"
    vtype: string

- name: Set cert
  debconf:
    name: jitsi-meet-web-config
    question: jitsi-meet/cert-choice
    value: Generate a new self-signed certificate (You will later get a chance to obtain a Let's encrypt certificate)
    vtype: select

- name: Install package
  apt:
    pkg:
      - jitsi-meet
    state: present

# TODO This is not working, still needs to run encrypt script manually
# maybe do this https://github.com/ansible/ansible/issues/9515
- name: Certificate
  expect:
    command: /usr/share/jitsi-meet/scripts/install-letsencrypt-cert.sh
    responses:
      (*)Enter your email and press(*): "{{ admin_email }}"
